## NAME

r.composite - Combines red, green and blue raster maps into a single composite raster map.

## KEYWORDS

raster, composite

## SYNOPSIS

r.composite
r.composite help
r.composite [-dc] red=name green=name blue=name [levels=integer] [lev_red=integer] [lev_green=integer] [lev_blue=integer] output=name [--overwrite] [--verbose] [--quiet]

### Flags:

-d
  Dither
-c
  Use closest color
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

red=name
  Name of raster map to be used for <red>
green=name
  Name of raster map to be used for <green>
blue=name
  Name of raster map to be used for <blue>
levels=integer
  Number of levels to be used for each component
  Options: 1-256
  Default: 32
lev_red=integer
  Number of levels to be used for <red>
  Options: 1-256
lev_green=integer
  Number of levels to be used for <green>
  Options: 1-256
lev_blue=integer
  Number of levels to be used for <blue>
  Options: 1-256
output=name
  Name for output raster map

## DESCRIPTION

This program combines three raster maps to form a composite RGB map. For each input map layer, the corresponding component from the map's color table is used (e.g. for the red map, the red component is used, and so on). In general, the maps should use a gray-scale color table.

## NOTES

The default number of intensity levels for each component is 32, resulting in a total of 32768 possible colors (equivalent to 15 bits per pixel). If significantly more levels than this are used, not only will r.composite take longer to run, but displaying the resulting layer with d.rast will also be significantly slower.

Floyd-Steinberg dithering is optionally used with the -d flag.

## EXAMPLE

Creating a composite RGB raster using 32 color levels per layer, with dithering:

    r.composite -d red=elevation.r green=elevation.g blue=elevation.b output=elev.composite

## SEE ALSO

d.rast, d.rgb, r.blend, r.colors

Wikipedia Entry: Floyd-Steinberg dithering

## AUTHOR

Glynn Clements

Last changed: $Date: 2008-02-26 20:04:18 +0100 (út, 26 II 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team